View Issue Details

IDProjectCategoryView StatusLast Update
0000781SymmetricDSBugpublic2014-02-02 20:52
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.1.1 
Target Version3.1.2Fixed in Version3.1.2 
Summary0000781: Restart of jobs can cause embedded derby database connections to fail
Description[Client] - RegistrationService - Connection closed by unknown interrupt.
org.jumpmind.db.sql.SqlException: Connection closed by unknown interrupt.
        at org.jumpmind.db.sql.AbstractSqlTemplate.translate(AbstractSqlTemplate.java:260)
        at org.jumpmind.db.sql.AbstractSqlTemplate.translate(AbstractSqlTemplate.java:251)
        at org.jumpmind.db.sql.JdbcSqlReadCursor.next(JdbcSqlReadCursor.java:79)
        at org.jumpmind.db.sql.AbstractSqlTemplate.query(AbstractSqlTemplate.java:165)
        at org.jumpmind.db.sql.AbstractSqlTemplate.query(AbstractSqlTemplate.java:154)
        at org.jumpmind.symmetric.service.impl.NodeService.findNodeSecurity(NodeService.java:196)
        at org.jumpmind.symmetric.service.impl.NodeService.findNodeSecurity(NodeService.java:162)
        at org.jumpmind.symmetric.service.impl.DataLoaderService.loadDataFromPull(DataLoaderService.java:222)
        at org.jumpmind.symmetric.service.impl.DataLoaderService.loadDataFromPull(DataLoaderService.java:186)
        at org.jumpmind.symmetric.service.impl.RegistrationService.registerWithServer(RegistrationService.java:289)
        at org.jumpmind.symmetric.service.impl.PullService.pullData(PullService.java:84)
        at org.jumpmind.symmetric.job.PullJob.doJob(PullJob.java:39)
        at org.jumpmind.symmetric.job.AbstractJob.invoke(AbstractJob.java:162)
        at org.jumpmind.symmetric.job.AbstractJob.run(AbstractJob.java:202)
        at org.springframework.scheduling.support.DelegatingErrorHandlingRunnable.run(DelegatingErrorHandlingRunnable.java:51)
        at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:441)
        at java.util.concurrent.FutureTask$Sync.innerRunAndReset(FutureTask.java:317)
        at java.util.concurrent.FutureTask.runAndReset(FutureTask.java:150)
        at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$101(ScheduledThreadPoolExecutor.java:98)
        at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.runPeriodic(ScheduledThreadPoolExecutor.java:181)
        at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(ScheduledThreadPoolExecutor.java:205)
        at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
        at java.lang.Thread.run(Thread.java:619)
Caused by: java.sql.SQLNonTransientConnectionException: Connection closed by unknown interrupt.
        at org.apache.derby.impl.jdbc.SQLExceptionFactory40.getSQLException(Unknown Source)
        at org.apache.derby.impl.jdbc.Util.generateCsSQLException(Unknown Source)
        at org.apache.derby.impl.jdbc.TransactionResourceImpl.wrapInSQLException(Unknown Source)
        at org.apache.derby.impl.jdbc.TransactionResourceImpl.handleException(Unknown Source)
        at org.apache.derby.impl.jdbc.EmbedConnection.handleException(Unknown Source)
        at org.apache.derby.impl.jdbc.ConnectionChild.handleException(Unknown Source)
        at org.apache.derby.impl.jdbc.EmbedResultSet.closeOnTransactionError(Unknown Source)
        at org.apache.derby.impl.jdbc.EmbedResultSet.movePosition(Unknown Source)
        at org.apache.derby.impl.jdbc.EmbedResultSet.next(Unknown Source)
        at org.apache.commons.dbcp.DelegatingResultSet.next(DelegatingResultSet.java:207)
        at org.apache.commons.dbcp.DelegatingResultSet.next(DelegatingResultSet.java:207)
        at org.jumpmind.db.sql.JdbcSqlReadCursor.next(JdbcSqlReadCursor.java:68)
        ... 21 more
Caused by: java.sql.SQLException: Connection closed by unknown interrupt.
        at org.apache.derby.impl.jdbc.SQLExceptionFactory.getSQLException(Unknown Source)
        at org.apache.derby.impl.jdbc.SQLExceptionFactory40.wrapArgsForTransportAcrossDRDA(Unknown Source)
        ... 33 more
Caused by: ERROR 08000: Connection closed by unknown interrupt.
        at org.apache.derby.iapi.error.StandardException.newException(Unknown Source)
        at org.apache.derby.iapi.util.InterruptStatus.setInterrupted(Unknown Source)
        at org.apache.derby.iapi.util.InterruptStatus.throwIf(Unknown Source)
        at org.apache.derby.impl.sql.execute.BasicNoPutResultSetImpl.checkCancellationFlag(Unknown Source)
        at org.apache.derby.impl.sql.execute.TableScanResultSet.getNextRowCore(Unknown Source)
        at org.apache.derby.impl.sql.execute.IndexRowToBaseRowResultSet.getNextRowCore(Unknown Source)
        at org.apache.derby.impl.sql.execute.BasicNoPutResultSetImpl.getNextRow(Unknown Source)
        ... 26 more
[Client] - PullJob - Connection closed by unknown interrupt.
org.jumpmind.db.sql.SqlException: Connection closed by unknown interrupt.
        at org.jumpmind.db.sql.AbstractSqlTemplate.translate(AbstractSqlTemplate.java:260)
        at org.jumpmind.db.sql.AbstractSqlTemplate.translate(AbstractSqlTemplate.java:251)
        at org.jumpmind.db.sql.JdbcSqlTemplate.execute(JdbcSqlTemplate.java:361)
        at org.jumpmind.db.sql.JdbcSqlTemplate.update(JdbcSqlTemplate.java:240)
        at org.jumpmind.db.sql.AbstractSqlTemplate.update(AbstractSqlTemplate.java:184)
        at org.jumpmind.symmetric.service.impl.ClusterService.unlock(ClusterService.java:137)
        at org.jumpmind.symmetric.service.impl.ClusterService.unlock(ClusterService.java:130)
        at org.jumpmind.symmetric.service.impl.PullService.pullData(PullService.java:101)
        at org.jumpmind.symmetric.job.PullJob.doJob(PullJob.java:39)
        at org.jumpmind.symmetric.job.AbstractJob.invoke(AbstractJob.java:162)
        at org.jumpmind.symmetric.job.AbstractJob.run(AbstractJob.java:202)
        at org.springframework.scheduling.support.DelegatingErrorHandlingRunnable.run(DelegatingErrorHandlingRunnable.java:51)
        at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:441)
        at java.util.concurrent.FutureTask$Sync.innerRunAndReset(FutureTask.java:317)
        at java.util.concurrent.FutureTask.runAndReset(FutureTask.java:150)
        at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$101(ScheduledThreadPoolExecutor.java:98)
        at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.runPeriodic(ScheduledThreadPoolExecutor.java:181)
        at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(ScheduledThreadPoolExecutor.java:205)
        at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
        at java.lang.Thread.run(Thread.java:619)
Caused by: java.sql.SQLNonTransientConnectionException: Connection closed by unknown interrupt.
        at org.apache.derby.impl.jdbc.SQLExceptionFactory40.getSQLException(Unknown Source)
        at org.apache.derby.impl.jdbc.Util.generateCsSQLException(Unknown Source)
        at org.apache.derby.impl.jdbc.TransactionResourceImpl.wrapInSQLException(Unknown Source)
        at org.apache.derby.impl.jdbc.TransactionResourceImpl.handleException(Unknown Source)
        at org.apache.derby.impl.jdbc.EmbedConnection.handleException(Unknown Source)
        at org.apache.derby.impl.jdbc.ConnectionChild.handleException(Unknown Source)
        at org.apache.derby.impl.jdbc.EmbedStatement.executeStatement(Unknown Source)
        at org.apache.derby.impl.jdbc.EmbedPreparedStatement.executeStatement(Unknown Source)
        at org.apache.derby.impl.jdbc.EmbedPreparedStatement.executeUpdate(Unknown Source)
        at org.apache.commons.dbcp.DelegatingPreparedStatement.executeUpdate(DelegatingPreparedStatement.java:105)
        at org.apache.commons.dbcp.DelegatingPreparedStatement.executeUpdate(DelegatingPreparedStatement.java:105)
        at org.jumpmind.db.sql.JdbcSqlTemplate$5.execute(JdbcSqlTemplate.java:261)
        at org.jumpmind.db.sql.JdbcSqlTemplate$5.execute(JdbcSqlTemplate.java:240)
        at org.jumpmind.db.sql.JdbcSqlTemplate.execute(JdbcSqlTemplate.java:359)
        ... 18 more
Caused by: java.sql.SQLException: Connection closed by unknown interrupt.
        at org.apache.derby.impl.jdbc.SQLExceptionFactory.getSQLException(Unknown Source)
        at org.apache.derby.impl.jdbc.SQLExceptionFactory40.wrapArgsForTransportAcrossDRDA(Unknown Source)
        ... 32 more
Caused by: ERROR 08000: Connection closed by unknown interrupt.
        at org.apache.derby.iapi.error.StandardException.newException(Unknown Source)
        at org.apache.derby.iapi.util.InterruptStatus.setInterrupted(Unknown Source)
        at org.apache.derby.iapi.util.InterruptStatus.throwIf(Unknown Source)
        at org.apache.derby.impl.sql.execute.BasicNoPutResultSetImpl.checkCancellationFlag(Unknown Source)
        at org.apache.derby.impl.sql.execute.TableScanResultSet.getNextRowCore(Unknown Source)
        at org.apache.derby.impl.sql.execute.IndexRowToBaseRowResultSet.getNextRowCore(Unknown Source)
        at org.apache.derby.impl.sql.execute.ProjectRestrictResultSet.getNextRowCore(Unknown Source)
        at org.apache.derby.impl.sql.execute.ProjectRestrictResultSet.getNextRowCore(Unknown Source)
        at org.apache.derby.impl.sql.execute.NormalizeResultSet.getNextRowCore(Unknown Source)
        at org.apache.derby.impl.sql.execute.DMLWriteResultSet.getNextRowCore(Unknown Source)
        at org.apache.derby.impl.sql.execute.UpdateResultSet.collectAffectedRows(Unknown Source)
        at org.apache.derby.impl.sql.execute.UpdateResultSet.open(Unknown Source)
        at org.apache.derby.impl.sql.GenericPreparedStatement.executeStmt(Unknown Source)
        at org.apache.derby.impl.sql.GenericPreparedStatement.execute(Unknown Source)
        ... 26 more
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master c45d4a8d

2012-08-22 12:04:48

chenson

Details Diff
0000781: Restart of jobs can cause embedded derby database connections to fail
0000781
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/AbstractJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/JobManager.java Diff File

Issue History

Date Modified Username Field Change
2012-08-22 12:03 chenson New Issue
2012-08-22 12:03 chenson Status new => assigned
2012-08-22 12:03 chenson Assigned To => chenson
2012-08-22 12:07 chenson Status assigned => resolved
2012-08-22 12:07 chenson Fixed in Version => 3.1.1
2012-08-22 12:07 chenson Resolution open => fixed
2012-08-22 12:07 chenson Fixed in Version 3.1.1 => 3.1.2
2012-08-22 15:49 chenson Status resolved => closed
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6205
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master c45d4a8d